## hubzero-cms-2.2 2.2.5.2-1+deb8

=== Makefile ===
# @package      hubzero-cms-2.2
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

HUBZERO_CMS_RELEASE=v2.2.5.2

USRSHARE=$(DESTDIR)/usr/share

all: cms/.release-$(HUBZERO_CMS_RELEASE)

cms:
	git clone https://github.com/hubzero/hubzero-cms cms

cms/.release-$(HUBZERO_CMS_RELEASE): cms
	rm -f cms/.release*
	(cd cms; git fetch --all; git checkout -f $(HUBZERO_CMS_RELEASE))
	(cd cms/core; bin/composer --ignore-platform-reqs install)
	touch cms/.release-$(HUBZERO_CMS_RELEASE)

install: cms/.release-$(HUBZERO_CMS_RELEASE)
	install --mode 0755 -d $(USRSHARE)/hubzero-cms-2.2
	rsync -Hvax --exclude /cms/.* cms $(USRSHARE)/hubzero-cms-2.2

uninstall:
	rm -fr $(USRSHARE)/hubzero-cms-2.2

postinst:
	@true

clean:
	rm -fr cms

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-cms-2.2 (2.2.5.2-1+deb8) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Jun 2018 11:36:48 -0400

=== debian/control ===
Source: hubzero-cms-2.2
Section: web
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.0
Homepage: http://hubzero.org

Package: hubzero-cms-2.2
Architecture: all
Replaces: hubzero-cms-1.2, hubzero-cms, hubzero-cms-setup, hubzero-cms-joomla, hubzero-cms-joomla-installation
Breaks: hubzero-cms-1.2, hubzero-cms, hubzero-cms-setup, hubzero-cms-joomla, hubzero-cms-joomla-installation
Depends: hubzero-cli (>=2.2.0)
Provides: hubzero-cms
Description: HUBzero Content Management System (CMS) 2.2.0
 The HUBzero(R) Platform for Scientific Collaboration is a platform used to 
 create dynamic web sites for scientific research and educational activities. 
 With HUBzero, you can easily publish your research software and related 
 educational materials on the web.
 .
 HUBzero is a registered trademark of HUBzero Foundation, LLC.
 .
 This package contains the HUBzero Content Management System, which is based
 on (but not compatible with) the Joomla! CMS <joomla.org>.

## hubzero-cms-2.2 2.2.5.3-1+deb8

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.5.2
+HUBZERO_CMS_RELEASE=v2.2.5.3
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-cms-2.2 (2.2.5.3-1+deb8) unstable; urgency=low

  * security fix

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Jun 2018 15:11:21 -0400

hubzero-cms-2.2 (2.2.5.2-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Jun 2018 11:36:48 -0400

## hubzero-cms-2.2 2.2.5.4-1+deb8

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.5.3
+HUBZERO_CMS_RELEASE=v2.2.5.4
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-cms-2.2 (2.2.5.4-1+deb8) unstable; urgency=low

  * fix to old migration run on fresh install

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 08 Jun 2018 17:07:44 -0400

hubzero-cms-2.2 (2.2.5.3-1) unstable; urgency=low

  * security fix

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Jun 2018 15:11:21 -0400

## hubzero-cms-2.2 2.2.5.5-1+deb8

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.5.4
+HUBZERO_CMS_RELEASE=v2.2.5.5
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-cms-2.2 (2.2.5.5-1+deb8) unstable; urgency=low

  * fix validemail registration check to allow longer label parts

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Jun 2018 16:28:22 -0400

hubzero-cms-2.2 (2.2.5.4-1) unstable; urgency=low

  * fix to old migration run on fresh install

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 08 Jun 2018 17:07:44 -0400

## hubzero-cms-2.2 2.2.6.0-1+deb8

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.5.5
+HUBZERO_CMS_RELEASE=v2.2.6
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-cms-2.2 (2.2.6.0-1+deb8) unstable; urgency=low

  * upstream 2.2.6

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Aug 2018 10:01:27 -0400

hubzero-cms-2.2 (2.2.5.5-1) unstable; urgency=low

  * fix validemail registration check to allow longer label parts

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Jun 2018 16:28:22 -0400

## hubzero-cms-2.2 2.2.7.0-1+deb8

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.6
+HUBZERO_CMS_RELEASE=v2.2.7
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-cms-2.2 (2.2.7.0-1+deb8) unstable; urgency=low

  * upstream 2.2.7

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Aug 2018 11:09:04 -0400

hubzero-cms-2.2 (2.2.6.0-1) unstable; urgency=low

  * upstream 2.2.6

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Aug 2018 10:01:27 -0400

## hubzero-cms-2.2 2.2.7.1-1+deb8

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.7
+HUBZERO_CMS_RELEASE=v2.2.7.1
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-cms-2.2 (2.2.7.1-1+deb8) unstable; urgency=low

  * upstream 2.2.7.1

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 23 Aug 2018 10:30:53 -0400

hubzero-cms-2.2 (2.2.7.0-1) unstable; urgency=low

  * upstream 2.2.7

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Aug 2018 11:09:04 -0400

## hubzero-cms-2.2 2.2.8.0-1+deb8

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.7.1
+HUBZERO_CMS_RELEASE=v2.2.8
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-cms-2.2 (2.2.8.0-1+deb8) unstable; urgency=low

  * upstream 2.2.8

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Sep 2018 11:33:24 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Breaks: hubzero-cms-1.2, hubzero-cms, hubzero-cms-setup, hubzero-cms-joomla, hubzero-cms-joomla-installation
 Depends: hubzero-cli (>=2.2.0)
 Provides: hubzero-cms
-Description: HUBzero Content Management System (CMS) 2.2.0
+Description: HUBzero Content Management System (CMS) 2.2
  The HUBzero(R) Platform for Scientific Collaboration is a platform used to 
  create dynamic web sites for scientific research and educational activities. 
  With HUBzero, you can easily publish your research software and related

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-cms-2.2
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-cms-2.2 install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-cms-2.2 2.2.9.1-1+deb8

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.8
+HUBZERO_CMS_RELEASE=v2.2.9.1
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-cms-2.2 (2.2.9.1-1+deb8) unstable; urgency=low

  * upstream 2.2.9.1

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Oct 2018 14:02:42 -0400

hubzero-cms-2.2 (2.2.8.0-1) unstable; urgency=low

  * upstream 2.2.8

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Sep 2018 11:33:24 -0400

## hubzero-cms-2.2 2.2.15.3-1+deb8

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.9.1
+HUBZERO_CMS_RELEASE=v2.2.15.3
 
 USRSHARE=$(DESTDIR)/usr/share
 
@@ -38,6 +38,7 @@
 	rm -f cms/.release*
 	(cd cms; git fetch --all; git checkout -f $(HUBZERO_CMS_RELEASE))
 	(cd cms/core; bin/composer --ignore-platform-reqs install)
+	sed -i '1108s/element/name/' cms/core/vendor/hubzero/framework/src/Content/Migration/Base.php
 	touch cms/.release-$(HUBZERO_CMS_RELEASE)
 
 install: cms/.release-$(HUBZERO_CMS_RELEASE)

=== debian/changelog ===
hubzero-cms-2.2 (2.2.15.3-1+deb8) unstable; urgency=low

  * upstream 2.2.15.3

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Mar 2019 09:39:43 -0500

hubzero-cms-2.2 (2.2.14.2-1) unstable; urgency=low

  * upstream 2.2.14.2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Mar 2019 11:27:56 -0500

hubzero-cms-2.2 (2.2.13.0-1) unstable; urgency=low

  * upstream 2.2.13

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 12 Feb 2019 13:10:03 -0500

hubzero-cms-2.2 (2.2.12.0-1) unstable; urgency=low

  * upstream 2.2.12
  * hotfix framework/src/Content/Migration/Base.php

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 09 Jan 2019 14:22:55 -0500

hubzero-cms-2.2 (2.2.11.0-1) unstable; urgency=low

  * upstream 2.2.11

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Dec 2018 13:26:14 -0500

hubzero-cms-2.2 (2.2.10.0-1) unstable; urgency=low

  * upstream 2.2.10

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Dec 2018 13:19:38 -0500

hubzero-cms-2.2 (2.2.9.1-1) unstable; urgency=low

  * upstream 2.2.9.1

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Oct 2018 14:02:42 -0400

## hubzero-cms-2.2 2.2.16.1-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-cms-2.2
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2019 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2019 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.15.3
+HUBZERO_CMS_RELEASE=v2.2.16.1
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-cms-2.2 (2.2.16.1-1+deb8) unstable; urgency=low

  * upstream 2.2.16.1

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 07 May 2019 15:53:35 -0400

hubzero-cms-2.2 (2.2.15.3-2) unstable; urgency=low

  * Add packaging support for Debian 9

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 02 May 2019 16:12:13 -0400

hubzero-cms-2.2 (2.2.15.3-1) unstable; urgency=low

  * upstream 2.2.15.3

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Apr 2019 09:39:43 -0500

## hubzero-cms-2.2 2.2.16.1-2+deb8

=== Makefile ===
--- 
+++ 
@@ -38,12 +38,14 @@
 	rm -f cms/.release*
 	(cd cms; git fetch --all; git checkout -f $(HUBZERO_CMS_RELEASE))
 	(cd cms/core; bin/composer --ignore-platform-reqs install)
-	sed -i '1108s/element/name/' cms/core/vendor/hubzero/framework/src/Content/Migration/Base.php
+	sed -i '1179s/element/name/' cms/core/vendor/hubzero/framework/src/Content/Migration/Base.php
+	sed -i '1191s/element/name/' cms/core/vendor/hubzero/framework/src/Content/Migration/Base.php
 	touch cms/.release-$(HUBZERO_CMS_RELEASE)
 
 install: cms/.release-$(HUBZERO_CMS_RELEASE)
 	install --mode 0755 -d $(USRSHARE)/hubzero-cms-2.2
 	rsync -Hvax --exclude /cms/.* cms $(USRSHARE)/hubzero-cms-2.2
+	install --mode 0640 hubzero.sql $(USRSHARE)/hubzero-cms-2.2/cms/core/bootstrap/Install/sql/mysql/hubzero.sql
 
 uninstall:
 	rm -fr $(USRSHARE)/hubzero-cms-2.2

=== debian/changelog ===
hubzero-cms-2.2 (2.2.16.1-2+deb8) unstable; urgency=low

  * fix hotfix for framework/src/Content/Migration/Base.php
  * add hotfix for improperly updated base hubzero.sql 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 20 May 2019 11:11:27 -0400

hubzero-cms-2.2 (2.2.16.1-1) unstable; urgency=low

  * upstream 2.2.16.1

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 07 May 2019 15:53:35 -0400

## hubzero-cms-2.2 2.2.16.1-3+deb8

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,8 @@
 install: cms/.release-$(HUBZERO_CMS_RELEASE)
 	install --mode 0755 -d $(USRSHARE)/hubzero-cms-2.2
 	rsync -Hvax --exclude /cms/.* cms $(USRSHARE)/hubzero-cms-2.2
-	install --mode 0640 hubzero.sql $(USRSHARE)/hubzero-cms-2.2/cms/core/bootstrap/Install/sql/mysql/hubzero.sql
+	install --mode 0640 hotfixes/hubzero.sql $(USRSHARE)/hubzero-cms-2.2/cms/core/bootstrap/Install/sql/mysql/hubzero.sql
+	install --mode 0640 hotfixes/category.php $(USRSHARE)/hubzero-cms-2.2/cms/core/components/com_categories/models/category.php
 
 uninstall:
 	rm -fr $(USRSHARE)/hubzero-cms-2.2

=== debian/changelog ===
hubzero-cms-2.2 (2.2.16.1-3+deb8) unstable; urgency=low

  * add hotfix for category.php causing constraint failure in old migration

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 21 May 2019 16:19:20 -0400

hubzero-cms-2.2 (2.2.16.1-2) unstable; urgency=low

  * fix hotfix for framework/src/Content/Migration/Base.php
  * add hotfix for improperly updated base hubzero.sql 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 20 May 2019 11:11:27 -0400

## hubzero-cms-2.2 2.2.18.1-1+deb8

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.16.1
+HUBZERO_CMS_RELEASE=v2.2.18.1
 
 USRSHARE=$(DESTDIR)/usr/share
 
@@ -38,15 +38,12 @@
 	rm -f cms/.release*
 	(cd cms; git fetch --all; git checkout -f $(HUBZERO_CMS_RELEASE))
 	(cd cms/core; bin/composer --ignore-platform-reqs install)
-	sed -i '1179s/element/name/' cms/core/vendor/hubzero/framework/src/Content/Migration/Base.php
-	sed -i '1191s/element/name/' cms/core/vendor/hubzero/framework/src/Content/Migration/Base.php
 	touch cms/.release-$(HUBZERO_CMS_RELEASE)
 
 install: cms/.release-$(HUBZERO_CMS_RELEASE)
 	install --mode 0755 -d $(USRSHARE)/hubzero-cms-2.2
 	rsync -Hvax --exclude /cms/.* cms $(USRSHARE)/hubzero-cms-2.2
 	install --mode 0640 hotfixes/hubzero.sql $(USRSHARE)/hubzero-cms-2.2/cms/core/bootstrap/Install/sql/mysql/hubzero.sql
-	install --mode 0640 hotfixes/category.php $(USRSHARE)/hubzero-cms-2.2/cms/core/components/com_categories/models/category.php
 
 uninstall:
 	rm -fr $(USRSHARE)/hubzero-cms-2.2

=== debian/changelog ===
hubzero-cms-2.2 (2.2.18.1-1+deb8) unstable; urgency=low

  * upstream 2.2.18.1

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2019 11:41:14 -0400

hubzero-cms-2.2 (2.2.17.1-1) unstable; urgency=low

  * upstream 2.2.17.1
  * remove hotfix for category.php
  * remove hotfix for framework/src/Content/Migration/Base.php

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Jun 2019 16:30:15 -0400

hubzero-cms-2.2 (2.2.16.1-3) unstable; urgency=low

  * add hotfix for category.php causing constraint failure in old migration

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 21 May 2019 16:19:20 -0400

## hubzero-cms-2.2 2.2.21.0-3+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-cms-2.2
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2019 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
 #
-# Copyright (c) 2010-2019 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -22,10 +21,10 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
-HUBZERO_CMS_RELEASE=v2.2.18.1
+HUBZERO_CMS_RELEASE=v2.2.21
 
 USRSHARE=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-cms-2.2 (2.2.21.0-3+deb9) unstable; urgency=low

  * Add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 18 Aug  2020 21:10:17 -0700

hubzero-cms-2.2 (2.2.21.0-2) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 14 Apr  2020 14:13:03 -0700

hubzero-cms-2.2 (2.2.21.0-1) unstable; urgency=low

  * upstream 2.2.21

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 13 Mar  2020 18:00:17 -0400

hubzero-cms-2.2 (2.2.19.0-1) unstable; urgency=low

  * upstream 2.2.19.0

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 12 Aug  2019 16:44:28 -0400

hubzero-cms-2.2 (2.2.18.1-1) unstable; urgency=low

  * upstream 2.2.18.1

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 11 Jul 2019 11:41:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-cms-2.2
 Section: web
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.9.0
 Homepage: http://hubzero.org
@@ -18,7 +18,7 @@
  With HUBzero, you can easily publish your research software and related 
  educational materials on the web.
  .
- HUBzero is a registered trademark of HUBzero Foundation, LLC.
+ HUBzero is a registered trademark of The Regents of the University of California.
  .
  This package contains the HUBzero Content Management System, which is based
  on (but not compatible with) the Joomla! CMS <joomla.org>.

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-cms-2.2
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -24,7 +23,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
